设置网站兼容IE浏览器

xiaoxiao2021-02-28  14

IE 兼容模式 IE 支持通过特定的 标签来确定绘制当前页面所应该采用的 IE 版本。除非有强烈的特殊需求,否则最好是设置为 edge mode,从而通知 IE 采用其所支持的最新的模式。

<meta http-equiv="X-UA-Compatible" content="IE=Edge">

需要注意的是这部分代码需要尽可能的靠近<head>标签。

<!DOCTYPE html> <html> <head> <meta http-equiv="X-UA-Compatible" content="IE=edge">

那么,如何兼容具体的IE版本呢?如下: "IE=edge" "IE=11" "IE=EmulateIE11" "IE=10" "IE=EmulateIE10" "IE=9" "IE=EmulateIE9 "IE=8" "IE=EmulateIE8" "IE=7" "IE=EmulateIE7" "IE=5" 将上面的content内容换成对应的就好了。

阅读这篇 stack overflow 上的文章对你更有帮助。

转载请注明原文地址: https://www.6miu.com/read-2400223.html

最新回复(0)